// Ensures global variables contents are included only once during compilation
#ifndef CONFIG_H
#define CONFIG_H

#include <Arduino.h>
#include <WiFi.h>
#include <HTTPClient.h>
#include <ArduinoJson.h>
#include <IRremote.hpp>

// Wi-Fi Configuration
inline const char* ssid = "YOUR_WIFI_NAME";
inline const char* password = "YOUR_WIFI_PASSWORD";
#define CONNECTION_TIME_OUT_SECONDS 10
#define DEEP_SLEEP_DURATION_SECONDS 5

// OpenWeatherMap API
inline const char* city = "Tel Aviv"; // replace with any city
inline const char* countryCode = "IL"; // replace with any country code
inline const char* apiKey = "YOUR_API_KEY";

// IR Configuration
#define IR_SEND_PIN 15

// IR Sending Logic
inline const int numRepeats = 3;
inline const unsigned long irInterval = 1000; // ms between signals

// Temperature Threshold
inline const float temperatureThreshold = 22.0; // Celsius

// Weather Check Timing
inline unsigned long lastCheckTime = 0;
inline const unsigned long checkInterval = 10 * 60 * 1000; // 10 minutes

#endif
